import * as Phaser from "phaser";

import { UI } from "../ui";

export class Game {
  private phaser: Phaser.Game;
  private ui: UI;

  constructor(ui: UI) {
    this.ui = ui;

    const gameConfig: Phaser.Types.Core.GameConfig = {
      title: "Player",

      type: Phaser.AUTO,

      scale: {
        width: window.innerWidth,
        height: window.innerHeight
      },

      physics: {
        default: "arcade",
        arcade: {
          debug: true
        }
      },

      backgroundColor: "#000000"
    };

    this.phaser = new Phaser.Game(gameConfig);
  }
}
